## tmux-themepack-jimeh 1.1.0

=== Makefile ===
BUILDER := bin/build-theme
THEME_SRC := $(shell find src -name '*.tmuxtheme')
INCLUDES := $(shell find src -name '*.tmuxsh')
THEMES := $(patsubst src/%,%,$(THEME_SRC))
TESTS := $(addsuffix .test,$(THEMES))

.PHONY: build
build: $(THEMES)

.PHONY: clean
clean:
	rm $(shell find * -name "*.tmuxtheme" -not -path "src/*")

.PHONY: lint
lint:
	cd test && golangci-lint run -v

.PHONY: test
test: needs-build
	cd test && go test -count=1 -v ./...

.PHONY: needs-build
needs-build:
	$(foreach file,$(THEMES), \
		$(BUILDER) "src/$(file)" | diff -q "$(file)" - && \
	) true

$(THEMES): %.tmuxtheme: src/%.tmuxtheme $(INCLUDES)
	$(BUILDER) "src/$@" "$@"

$(TESTS): %.test: src/%.test

## tmux-themepack-jimeh 0+git20170413-748b16

=== debian/changelog ===
tmux-themepack-jimeh (0+git20170413-748b16-1) unstable; urgency=medium

  * Initial release (Closes: #898618)

 -- Jonathan Carter <jcc@debian.org>  Mon, 14 May 2018 11:42:48 +0200

=== debian/control ===
Source: tmux-themepack-jimeh
Section: utils
Priority: optional
Maintainer: Jonathan Carter <jcc@debian.org>
Build-Depends: debhelper (>= 11)
Standards-Version: 4.1.4
Homepage: https://github.com/jimeh/tmux-themepack
Vcs-Git: https://salsa.debian.org/debian/tmux-themepack-jimeh.git
Vcs-Browser: https://salsa.debian.org/debian/tmux-themepack-jimeh

Package: tmux-themepack-jimeh
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, tmux
Suggests: fonts-powerline
Description: pack of various themes for tmux by jimeh
 basic theme and powerline themes for tmux.
 .
 The fonts-powerline package is required on your local machine
 in order to render the powerline glyphs properly.
 .
 To enable a theme, you can add a line like the following to your .tmux.conf:
 .
 source-file "/usr/share/tmux/theme-pack-jimeh/powerline/double/cyan.tmuxtheme"
 .
 You can substitute 'cyan' with blue, gray, green, magenta, orange, red or
 yellow.
 .
 You can also substitute 'double' with 'block' to have straight lines on the
 window list.

=== debian/watch ===
This project does not currently have an upstream release.

## tmux-themepack-jimeh 0+git20180910-126150d

=== debian/changelog ===
tmux-themepack-jimeh (0+git20180910-126150d-1) unstable; urgency=medium

  * New upstream snapshot

 -- Jonathan Carter <jcc@debian.org>  Thu, 11 Oct 2018 11:24:28 +0200

tmux-themepack-jimeh (0+git20170413-748b16-2) unstable; urgency=medium

  * Fix comment in watch file
  * Update standards version to 4.2.1
  * Remove unneeded shlibs dependency

 -- Jonathan Carter <jcc@debian.org>  Mon, 01 Oct 2018 15:42:29 +0200

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,14 @@
 Priority: optional
 Maintainer: Jonathan Carter <jcc@debian.org>
 Build-Depends: debhelper (>= 11)
-Standards-Version: 4.1.4
+Standards-Version: 4.2.1
 Homepage: https://github.com/jimeh/tmux-themepack
 Vcs-Git: https://salsa.debian.org/debian/tmux-themepack-jimeh.git
 Vcs-Browser: https://salsa.debian.org/debian/tmux-themepack-jimeh
 
 Package: tmux-themepack-jimeh
 Architecture: all
-Depends: ${shlibs:Depends}, ${misc:Depends}, tmux
+Depends: tmux, ${misc:Depends}
 Suggests: fonts-powerline
 Description: pack of various themes for tmux by jimeh
  basic theme and powerline themes for tmux.
@@ -27,4 +27,3 @@
  .
  You can also substitute 'double' with 'block' to have straight lines on the
  window list.
-

## tmux-themepack-jimeh 0+git20190430-1b1b809

=== debian/changelog ===
tmux-themepack-jimeh (0+git20190430-1b1b809-1) unstable; urgency=medium

  * New upstream snapshot
    - Fixes tmux 2.9 compatibility (Closes: #933222) 
  * Update standards version to 4.4.0
  * Upgrade to debhelper-compat (=12)
  * Update copyright years

 -- Jonathan Carter <jcc@debian.org>  Thu, 08 Aug 2019 12:24:24 +0000

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: utils
 Priority: optional
 Maintainer: Jonathan Carter <jcc@debian.org>
-Build-Depends: debhelper (>= 11)
-Standards-Version: 4.2.1
+Build-Depends: debhelper-compat (= 12)
+Standards-Version: 4.4.0
 Homepage: https://github.com/jimeh/tmux-themepack
 Vcs-Git: https://salsa.debian.org/debian/tmux-themepack-jimeh.git
 Vcs-Browser: https://salsa.debian.org/debian/tmux-themepack-jimeh

=== debian/watch ===
#This project does not currently have an upstream release.

## tmux-themepack-jimeh 1.1.0

=== debian/changelog ===
tmux-themepack-jimeh (1.1.0-1) unstable; urgency=medium

  * New upstream release
  * Update standards version to 4.6.0
  * Update debhelper-compat to 13
  * Declare Rules-Requires-Root: no
  * Add debian/watch file
  * Skip tests (requires downloading Go modules at build time)

 -- Jonathan Carter <jcc@debian.org>  Fri, 18 Mar 2022 11:59:05 +0200

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,12 @@
 Section: utils
 Priority: optional
 Maintainer: Jonathan Carter <jcc@debian.org>
-Build-Depends: debhelper-compat (= 12)
-Standards-Version: 4.4.0
+Build-Depends: debhelper (>= 13)
+Standards-Version: 4.6.0
 Homepage: https://github.com/jimeh/tmux-themepack
 Vcs-Git: https://salsa.debian.org/debian/tmux-themepack-jimeh.git
 Vcs-Browser: https://salsa.debian.org/debian/tmux-themepack-jimeh
+Rules-Requires-Root: no
 
 Package: tmux-themepack-jimeh
 Architecture: all

=== debian/watch ===
version=4
https://github.com/jimeh/tmux-themepack/tags .*/v?(\d\S*)\.tar\.gz
